Name:           qownnotes
Version:        18.05.7
Release:        %mkrel 1
License:        GPL2
Summary:        Open source notepad and todo list manager
Url:            http://downloads.sourceforge.net/project/qownnotes
Group:          Text tools
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#----------------------------------------------
BuildRequires:  lib64qt5core-devel
BuildRequires:  lib64qt5gui-devel
BuildRequires:  lib64qt5network-devel
BuildRequires:  lib64qt5printsupport-devel
BuildRequires:  lib64qt5qml-devel
BuildRequires:  lib64qt5sql-devel
BuildRequires:  lib64qt5svg-devel
BuildRequires:  lib64qt5widgets-devel
BuildRequires:  lib64qt5xmlpatterns5-devel
BuildRequires:  lib64qt5xml-devel
#----------------------------------------------

%description
Open source notepad and todo list manager with markdown support
and ownCloud/Nextcloud integration

%prep
%setup -q

%build
qmake

%make

%install
rm -rf %{buildroot}

# install application
install -D -m755 QOwnNotes %buildroot/%{_bindir}/QOwnNotes

# install visuals
install -D -m644 QOwnNotes.desktop %buildroot/%{_datadir}/applications/QOwnNotes.desktop
install -D -m644 images/icons/128x128/apps/QOwnNotes.png %buildroot/%{_datadir}/pixmaps/QOwnNotes.png
    
for format in {16x16,24x24,32x32,48x48,64x64,96x96,128x128,256x256,512x512}; do
install -D -m644 images/icons/${format}/apps/QOwnNotes.png %buildroot/%{_datadir}/icons/hicolor/$format/apps/QOwnNotes.png
done
    
install -D -m644 images/icons/scalable/apps/QOwnNotes.svg %buildroot/%{_datadir}/icons/hicolor/scalable/apps/QOwnNotes.svg

# install languages
install -d %buildroot/%{_datadir}/QOwnNotes/languages/
install -D -m644 languages/*.qm %buildroot/%{_datadir}/QOwnNotes/languages/

#desktop file
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Todo" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir %buildroot/%{_datadir}/applications %buildroot/%{_datadir}/applications/*.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/QOwnNotes
%{_datadir}/QOwnNotes/languages/*.qm
%{_datadir}/applications/QOwnNotes.desktop
%{_datadir}/icons/hicolor/*/apps/QOwnNotes.png
%{_datadir}/icons/hicolor/scalable/apps/QOwnNotes.svg
%{_datadir}/pixmaps/QOwnNotes.png


%changelog
* Sat May 26 2018 tex - 18.05.7-1pclos2018
- new version

* Mon Jan 29 2018 tex - 18.01.4-1pclos2018
- new version

* Wed May 24 2017 bb2 <bb2> 17.05.10-1pclos2017
- create package
